Gnome Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# gnome-defs

## Name

gnome-defs -- GNOME definitions for C++ linking.

## Synopsis

    #include <gnome.h>

    #define     BEGIN_GNOME_DECLS
    #define     END_GNOME_DECLS

## Description

This module only defines two macros for wrapping public function interface declarations in a C-accesible way. They are usually used in header files. They are empty macros for C compilation and they map to extern "C" for C++ compilation.

## Details

### BEGIN_GNOME_DECLS

    #define     BEGIN_GNOME_DECLS

Use this macro at the beginning of your public function declarations.

### END_GNOME_DECLS

    #define     END_GNOME_DECLS

Use this macro at the end of your public function declarations.

<<< Previous Page | Home | Up | Next Page >>>
gnome-config | gnome-dentry